# Uses of Interface
java.sql.PreparedStatement

Packages that use PreparedStatement
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of PreparedStatement in java.sql

Subinterfaces of PreparedStatement in java.sql
Modifier and Type
Interface
Description
`interface`
`CallableStatement`
The interface used to execute SQL stored procedures.
Methods in java.sql that return PreparedStatement
Modifier and Type
Method
Description
`PreparedStatement`
Connection.`prepareStatement(String sql)`
Creates a `PreparedStatement` object for sending parameterized SQL statements to the database.
`PreparedStatement`
Connection.`prepareStatement(String sql, int autoGeneratedKeys)`
Creates a default `PreparedStatement` object that has the capability to retrieve auto-generated keys.
`PreparedStatement`
Connection.`prepareStatement(String sql, int[] columnIndexes)`
Creates a default `PreparedStatement` object capable of returning the auto-generated keys designated by the given array.
`PreparedStatement`
Connection.`prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
Creates a `PreparedStatement` object that will generate `ResultSet` objects with the given type and concurrency.
`PreparedStatement`
Connection.`prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Creates a `PreparedStatement` object that will generate `ResultSet` objects with the given type, concurrency, and holdability.
`PreparedStatement`
Connection.`prepareStatement(String sql, String[] columnNames)`
Creates a default `PreparedStatement` object capable of returning the auto-generated keys designated by the given array.

## Uses of PreparedStatement in javax.sql

Methods in javax.sql that return PreparedStatement
Modifier and Type
Method
Description
`PreparedStatement`
StatementEvent.`getStatement()`
Returns the `PreparedStatement` that is being closed or is invalid
Constructors in javax.sql with parameters of type PreparedStatement
Modifier
Constructor
Description
``
`StatementEvent(PooledConnection con, PreparedStatement statement)`
Constructs a `StatementEvent` with the specified `PooledConnection` and `PreparedStatement`.
``
`StatementEvent(PooledConnection con, PreparedStatement statement, SQLException exception)`
Constructs a `StatementEvent` with the specified `PooledConnection`, `PreparedStatement` and `SQLException`